function init(hero) {
    hero.setName("Fredzilla");
    hero.setVersion("Animated Series");
    hero.setTier(4);
    
    hero.setHelmet("Head");
    hero.setChestplate("Torso");
    hero.setLeggings("Legs");
    hero.setBoots("Feet");

    hero.addAbilities("fiskheroes:superhuman_durability", "fiskheroes:pyrokinesis", "fiskheroes:leaping", "fiskheroes:fire_immunity");
    hero.addAttribute("ATTACK_DAMAGE", 1.75, 1);
    hero.addAttribute("SPRINT_SPEED", 1.35, 1);
    hero.addAttribute("JUMP_HEIGHT", 4.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 6.5, 0);
    hero.addAttribute("SWORD_DAMAGE", -0.97, 1);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);

    hero.addKeyBind("AIM", "Mouth Fire", 1);

    hero.setDefaultScale(1.175);
    hero.supplyFunction("canAim", canAim);
    hero.setModifierEnabled(isModifierEnabled);
}
function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}


function isModifierEnabled(entity, modifier) {  
    switch (modifier) {
    case "fiskheroes:pyrokinesis":
        return entity.getData("fiskheroes:aiming");
    default:
        return true;
    }
}